package entity

type User struct {
	Id        string `json:"id" xorm:"id"`                 //uuid
	UserId    string `json:"user_id" xorm:"user_id"`       //用户id
	UserName  string `json:"user_name" xorm:"user_name"`   //用户名称
	UserType  int    `json:"user_type" xorm:"user_type"`   //用户类型
	Phone     string `json:"phone" xorm:"phone"`           //联系电话
	Email     string `json:"email" xorm:"email"`           //邮箱
	UnitName  string `json:"unit_name" xorm:"unit_name"`   //迁移单位名称
	CreatedBy string `json:"created_by" xorm:"created_by"` //创建人
	CreatedAt string `json:"created_at" xorm:"created_at"` //创建时间
	UpdatedBy string `json:"updated_by" xorm:"updated_by"` //更新人
	UpdatedAt string `json:"updated_at" xorm:"updated_at"` //更新时间
	Status    int    `json:"status" xorm:"status"`         //状态 1 正常 2 禁用 3 删除
}
