package conf

import (
	"go.uber.org/zap"
)

var (
	Options     *Config
	Logger      *zap.Logger
	LoggerLevel string
	RunMode     string
)

// 公共配置
type Config struct {
	DbURL        string
	DbDriver     string
	RedisURL     string
	RedisDB      int
	RedisTag     string
	Prefix       string
	LogDirPrefix string
	LogDirName   string
	LogSaveDays  int
	LogMode      int
	ArgBool      bool
	ArgInt       int
}
