package response

import (
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/bean/entity"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/pkg/beagle/jsontime"
)

type UserListItem struct {
	entity.User
	CreatedAt jsontime.Time `column:"created_at" json:"created_at"` //创建时间
	UpdatedAt jsontime.Time `column:"updated_at" json:"updated_at"` //更新时间
}

type UserList struct {
	TotalCount int            `json:"total_count"`
	List       []UserListItem `json:"list"`
}

type UserMigListItem struct {
	Id       string `json:"id"`        //用户唯一标识
	UnitName string `json:"unit_name"` //迁移单位名称
	Phone    string `json:"phone"`     //联系电话
	UserName string `json:"username"`  //用户名称
}
